API documentation | API docs for agents | OpenAPI 3.1

DELETE /api/v1/carriers/{carrierId}/files/{fileId}

ark.delete_carrier_file

Deletes a user-uploaded carrier file from storage and the files table. System-generated files are protected.

Availability
Expanded preview
Scopes
carriers:write
ARK permissions
canEditCarrier
Team visibility
Not entity-scoped
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

carrierIdpathstringrequired
Visible ARK carrier ID.
format: uuid
fileIdpathstringrequired
Carrier file ID.
format: uuid
Idempotency-Keyheaderstringrequired
Required for external write operations. Reuse the same key only for exact retries of the same request body.
min length: 1; max length: 200

Request body

None.

Example request

Shell
curl -X DELETE 'https://arktms.com/api/v1/carriers/<carrierId>/files/<fileId>' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>"

Success response

Deleted file

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.carrierIdstringrequired

format: uuid

data.fileIdstringrequired

format: uuid

data.deletedbooleanrequired

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found
HTTP 409
Idempotency conflict or in-progress retry